Author Topic: update openssl  (Read 707 times)

rubenzsolt

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
update openssl
« on: August 25, 2019, 10:06:46 pm »
Hi, unfortunately when I update openssl on Zentyal 5 or 6 I receive an update error.
The update error appear on both systems, the zentyal core module crashing after update. I tested just run apt-get upgrade from command line not form interface but same issue.
Somebody have some ideea or solution how I can solve this issue.

doncamilo

  • Zen Samurai
  • ****
  • Posts: 266
  • Karma: +63/-0
    • View Profile
Re: update openssl
« Reply #1 on: August 26, 2019, 12:40:20 pm »
 :)

Hi!

So, Do you have updated openssl package? It should be managed by Zentyal (if you aren't a really experienced linux sysadmin you should use the software manager on webadmin):

Code: [Select]
# dpkg -s zentyal-core | grep openssl

So, now, you have broken packages. Check it by running this command:

Code: [Select]
#  dpkg -l | grep -Ev '^(ii|rc)'

You have to fix your broken packages. Read https://www.rosehosting.com/blog/how-to-fix-broken-packages-on-ubuntu-16-04-and-debian-9/

You have probably fallen into the Dependencies Hell. Paste you broken packages list here if you need some help.

Cheers!

rubenzsolt

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: update openssl
« Reply #2 on: September 01, 2019, 06:19:12 pm »
Hi,

I think you not understand the problem, not the openssl package broken, the Zentyal core is broken. The problem appear on both zentyal's 5 and 6, both openssl packages is broken on different systems. From commandline and from webui the issue is same.